Package uk.ac.starlink.table.join

# Class RowRef

java.lang.Object
uk.ac.starlink.table.join.RowRef

All Implemented Interfaces:
  `Comparable<RowRef>`

public class RowRef extends Object implements Comparable<RowRef>
Represents a reference to a table row. This class really just exists to encapsulate the combination of an `int` index referencing a table and a `long` referencing a row of that table. Importantly though, it implements `equals`, `hashCode` and the `Comparable` interface in such a way as to make it suitable for use as keys in a SortedSet. The sort order defined sorts lowest table index first, then lowest row index.

Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`RowRef(int iTable, long lRow)`
Constructs a new RowRef from a table and a row index.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(RowRef other)`
`boolean`
`equals(Object o)`
`long`
`getRowIndex()`
Returns the row index;
`int`
`getTableIndex()`
Returns the table index.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RowRef

public RowRef(int iTable, long lRow)
Constructs a new RowRef from a table and a row index.

Parameters:
  `iTable` - table index
  `lRow` - row index

## Method Details

### getTableIndex

public int getTableIndex()
Returns the table index.

Returns:
  table index

### getRowIndex

public long getRowIndex()
Returns the row index;

Returns:
  row index

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(RowRef other)

Specified by:
  `compareTo` in interface `Comparable<RowRef>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`